import { storageApp } from './StorageHelper.ts';
import NavigationManager from '../../specs/NativeNavigationManager.ts';


export enum Apps {
  App='app',
  Hospital='hospital',
  Ywq='ywq',
}


export const pushByName = (name: string, params: any) => {
  storageApp
    .save({
      key: `MessageActivity-${name}`,
      data: params,
      expires: 1000 * 3600,
    })
    .finally(() => {
      NavigationManager.navigate(name);
    });
};
export const pop = () => {
  NavigationManager.pop();
};
